# certificates

Get certificate.

`GET /hscodeselfclassify/certificate/{destination}/{origin}/{txid}/{hscode}`

**API:** Avalara Cross Border Classification
**Tag:** Certificates
**API Version:** 1.0
**Base URL:** /
**Authentication:** Bearer token

Source: https://developer.avalara.com/products/self-serve-tariff-code/api/methods/Certificates/certificates/

## Description

Gets a PDF certificate based on destination country, origin country, transaction id, and HS code. Returns the certificate as a PDF file attachment ready for download or viewing.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `destination` | string | path | Yes | The code for destination country in ISO 3166-1 alpha-2 format. |
| `origin` | string | path | Yes | The code for origin country in ISO 3166-1 alpha-2 format. |
| `txid` | string | path | Yes | The transaction ID of the product. |
| `hscode` | string | path | Yes | The HS (Harmonized System) code for the product. |
| `username` | string | query | No | The username associated with the certificate. |
| `fullname` | string | query | No | Full name to include on the certificate. |
| `avalara-version` |  | header | Yes | API version. Current version is 1.0. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 201 | Returns the generated certificate. |  |
| 400 | The request parameters are invalid. | `AvalaraAPIExceptionDetails` |
| 401 | Authentication failed due to invalid or missing authentication token. | `AvalaraAPIExceptionDetails` |
| 403 | Customer is not authorized to access this resource. | `AvalaraAPIExceptionDetails` |
| 404 | Certificate data not found. | `AvalaraAPIExceptionDetails` |
| 500 | An unexpected server error occurred. | `AvalaraAPIExceptionDetails` |